PGASetSelectType(3)

NAME
PGASetSelectType - specify the type of selection to use.

DESCRIPTION
Valid choices are PGA_SELECT_PROPORTIONAL, PGA_SELECT_SUS, PGA_SELECT_TOURNAMENT, and PGA_SELECT_PTOURNAMENT for proportional, stochastic universal selection, tournament, and probabilistic tournament selection, respectively. The default is PGA_SELECT_TOURNAMENT.

INPUT PARAMETERS
ctx - context variable
select_type
    - symbolic constant to specify selection type

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
void  PGASetSelectType(ctx, select_type)
PGAContext *ctx
int select_type

LOCATION
select.c

EXAMPLE
Example:
PGAContext *ctx;
:
PGASetSelectType(ctx, PGA_SELECT_SUS);